
using CloudBuilder.Core.Service;
using CloudBuilder.Security.Data;
using CloudBuilder.Security.Entity;
using CloudBuilder.Security.SearchCriteria;
using Microsoft.AspNetCore.Mvc;

namespace CloudBuilder.Security.Service
{
    public  interface ISecurityActorService :IServiceBase<SecurityActorData, string ,SecurityActorSearchCriteria>
    {
        SecurityActorEntity[] FindAll();

        SecurityActorEntity[] FindAllByNoPermission();

        SecurityActorResultData FindBySearchCriteria(SecurityActorSearchCriteria tc);
        dynamic PrintBySearchCriteria(SecurityActorSearchCriteria tc);

        void Deletes(string[] keys);
    }
}
